-- 位置
function position_act()
  -- 行動済みフラグ
  local done = false
  
  if y==0 then
    if position==0 then
      if x>MIN_X then
        key_on(ACT_LEFT)
        done = true
      end
    elseif position==1 then
      if x>(MID_X+position_tolerance) then
        key_on(ACT_LEFT)
        done = true
      elseif x<(MID_X-position_tolerance) then
        key_on(ACT_RIGHT)
        done = true
      end
    elseif position==2 then
      if x<MAX_X then
        key_on(ACT_RIGHT)
        done = true
      end
    elseif position==4 then
      if x>(position_slide+position_tolerance) then
        key_on(ACT_LEFT)
        done = true
      elseif x<(position_slide-position_tolerance) then
        key_on(ACT_RIGHT)
        done = true
      end
    end
  end
  
  return done
end
